# Copyright (C) 2006-2014 Oracle. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, version 2.  This program is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.  You should have received a copy of the GNU
# General Public License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 021110-1307, USA.

from agent.api import common, repository, serverpool, storageplugin

from agent.api.cluster import o2cb
from agent.api.host import linux
from agent.api.hypervisor import xenxm
from agent.api.network import linux_network
from agent.api.poolfs import ocfs2
from agent.api.remote import linux_remote

#
# Agent API Modules
#

MODULES = [
    common.Common,
    repository.Repository,
    serverpool.ServerPool,
    storageplugin.StoragePlugin,
    o2cb.ClusterO2CB,
    linux.Linux,
    xenxm.Xen,
    linux_network.LinuxNetwork,
    ocfs2.PoolOCFS2,
    linux_remote.LinuxRemoteManagement
    ]
